if(UNIX AND NOT APPLE)
  PKG_CHECK_MODULES(WebP webp)

  if(WEBP_FOUND)
    set(HAVE_WEBP 1)
    if(NOT ${WEBP_INCLUDE_DIRS} STREQUAL "")
      ocv_include_directories(${WEBP_INCLUDE_DIRS})
    endif()
    link_directories(${WEBP_LIBRARY_DIRS})
    set(OPENCV_LINKER_LIBS ${OPENCV_LINKER_LIBS} ${WEBP_LIBRARIES})
  endif()
endif()

if(NOT HAVE_WEBP)
  find_path(WEBP_INCLUDE_DIRS "webp/decode.h" PATHS ${WEBP_INCLUDE_DIR} ${WEBP_DEFAULT_INCLUDE_DIRS} DOC "The path to WebP headers")
  if(WEBP_INCLUDE_DIRS)
    if(UNIX)
      set(WEBP_LIB_DIR "${WEBP_INCLUDE_DIRS}" CACHE PATH "Full path of WebP library directory")
      link_directories("${WEBP_LIB_DIR}")
    endif()
    if(APPLE)
      set(OPENCV_LINKER_LIBS ${OPENCV_LINKER_LIBS} webp)
    elseif (UNIX)
      set(OPENCV_LINKER_LIBS ${OPENCV_LINKER_LIBS} webp)
    elseif (WIN32)
      if(CMAKE_SYSTEM_PROCESSOR MATCHES amd64*|x86_64* OR MSVC64)
        set(WEBP_LIB_DIR "${WEBP_INCLUDE_DIRS}/../output/release-static/x64/lib")
      else()
        set(WEBP_LIB_DIR "${WEBP_INCLUDE_DIRS}/../output/release-static/x86/lib")
      endif()
      link_directories("${WEBP_LIB_DIR}")
      set(OPENCV_LINKER_LIBS ${OPENCV_LINKER_LIBS} libwebp)
    endif()

    set(HAVE_WEBP 1)
    set(WEBP_FOUND 1)

    if(NOT "${WEBP_INCLUDE_DIRS}" STREQUAL "")
      ocv_include_directories("${WEBP_INCLUDE_DIRS}")
    endif()
  endif(WEBP_INCLUDE_DIRS)
endif(NOT HAVE_WEBP)
