#include "grfmt_base.hpp"
#include "bitstrm.hpp"

// WebP codec

namespace cv
{

class WebPDecoder : public BaseImageDecoder
{
public:

    WebPDecoder();
    virtual ~WebPDecoder();

    bool  readData( Mat& img );
    bool  readHeader();
    void  close();

    ImageDecoder newDecoder() const;

protected:
    void* m_webp;
    void* m_src;
    unsigned int m_size;
    int m_has_alpha;
};


class WebPEncoder : public BaseImageEncoder
{
public:
    WebPEncoder();
    virtual ~WebPEncoder();

    bool  write( const Mat& img, const vector<int>& params );
    ImageEncoder newEncoder() const;
};

}

